API referenceContact events
Track custom events in a batch
POST
/events/batchUp to 100 events, recorded atomically.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/events/batch" \ -H "Content-Type: application/json" \ -d '{ "events": [ {} ] }'{ "object": "list", "data": [ { "object": "event", "id": "string", "contact_id": "string", "created": true } ]}